/*******************************************************************************
*
*	TITLE:		printf.h 
*
*	VERSION:	1.2                         
*
*	DATE:		28-Dec-2004
*
*	AUTHORS:	Innovation First
*
*				R. Kevin Watson
*				kevinw@jpl.nasa.gov
*
*	COMMENTS:
*
********************************************************************************
*
*	CHANGE LOG:
*
*	DATE         REV  DESCRIPTION
*	-----------  ---  ----------------------------------------------------------
*	             1.0  Innovation First's original code
*	20-Dec-2004  1.1  RKW - Renamed and modified IFI's printf_lib.c/h files
*	                  to use the code in serial_ports.c
*	28-Dec-2004  1.2  RKW - Using preprocessor directives, added the ability 
*	                  to enable/disable individual receive and transmit code.
*	                  See comments within Write_Byte_To_Uart()'s header for
*	                  more information.
*	28-Dec-2004  1.2  RKW - Renamed "Current_Serial_Port" to a more unix-like 
*	                  "stdout". Updated documentation.
*	28-Dec-2004  1.2  RKW - Added the NUL device as an option for stdout.
*
*******************************************************************************/

#ifndef _PRINTF_H
#define _PRINTF_H

#define NUL 0
#define SERIAL_PORT_ONE 1
#define SERIAL_PORT_TWO 2

extern unsigned char stdout;

int printf(rom const char *format, ...);

#endif
